﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using apexchat.DB;

namespace apexchat.Migrations.SqliteMigrations
{
    [DbContext(typeof(SqliteContext))]
    [Migration("20210925150811_AddApexChannelNameToMapping")]
    partial class AddApexChannelNameToMapping
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "5.0.10");

            modelBuilder.Entity("apexchat.DB.Model.ApexDiscordMessageMap", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER")
                        .HasColumnName("id");

                    b.Property<string>("ApexMessageID")
                        .HasMaxLength(32)
                        .HasColumnType("TEXT")
                        .HasColumnName("apex_message_id");

                    b.Property<DateTime>("ApexTimestamp")
                        .HasColumnType("TEXT")
                        .HasColumnName("apex_timestamp");

                    b.Property<ulong>("DiscordChannelID")
                        .HasColumnType("INTEGER")
                        .HasColumnName("discord_channel_id");

                    b.Property<ulong>("DiscordMessageID")
                        .HasColumnType("INTEGER")
                        .HasColumnName("discord_message_id");

                    b.HasKey("Id")
                        .HasName("pk_apex_discord_message_maps");

                    b.HasIndex("ApexMessageID")
                        .HasDatabaseName("ix_apex_discord_message_maps_apex_message_id");

                    b.HasIndex("DiscordChannelID")
                        .HasDatabaseName("ix_apex_discord_message_maps_discord_channel_id");

                    b.HasIndex("DiscordChannelID", "ApexMessageID")
                        .IsUnique()
                        .HasDatabaseName("ix_apex_discord_message_maps_discord_channel_id_apex_message_id");

                    b.HasIndex("DiscordChannelID", "DiscordMessageID")
                        .HasDatabaseName("ix_apex_discord_message_maps_discord_channel_id_discord_message_id");

                    b.ToTable("apex_discord_message_maps");
                });

            modelBuilder.Entity("apexchat.DB.Model.ChannelRegistration", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER")
                        .HasColumnName("id");

                    b.Property<string>("ApexChannelId")
                        .HasMaxLength(32)
                        .HasColumnType("TEXT")
                        .HasColumnName("apex_channel_id");

                    b.Property<string>("ApexChannelName")
                        .HasMaxLength(255)
                        .HasColumnType("TEXT")
                        .HasColumnName("apex_channel_name");

                    b.Property<ulong>("DiscordChannelID")
                        .HasColumnType("INTEGER")
                        .HasColumnName("discord_channel_id");

                    b.HasKey("Id")
                        .HasName("pk_channel_registrations");

                    b.HasIndex("ApexChannelId")
                        .HasDatabaseName("ix_channel_registrations_apex_channel_id");

                    b.HasIndex("DiscordChannelID")
                        .HasDatabaseName("ix_channel_registrations_discord_channel_id");

                    b.HasIndex("DiscordChannelID", "ApexChannelId")
                        .IsUnique()
                        .HasDatabaseName("ix_channel_registrations_discord_channel_id_apex_channel_id");

                    b.ToTable("channel_registrations");
                });
#pragma warning restore 612, 618
        }
    }
}
